package cn.stylefeng.workflow.instance.modular.auth.service;

import cn.stylefeng.roses.kernel.db.api.pojo.page.PageResult;
import cn.stylefeng.workflow.instance.api.FlowAuthServiceApi;
import cn.stylefeng.workflow.instance.modular.auth.entity.FlowAuth;
import cn.stylefeng.workflow.instance.modular.auth.pojo.request.FlowAuthRequest;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface FlowAuthService extends IService<FlowAuth>, FlowAuthServiceApi {

    void add(FlowAuthRequest flowAuthRequest);

    void del(FlowAuthRequest flowAuthRequest);

    void batchDelete(FlowAuthRequest flowAuthRequest);

    void edit(FlowAuthRequest flowAuthRequest);

    FlowAuth detail(FlowAuthRequest flowAuthRequest);

    List<FlowAuth> findList(FlowAuthRequest flowAuthRequest);

    PageResult<FlowAuth> findPage(FlowAuthRequest flowAuthRequest);

}
